{% extends 'blog/base.html' %}

{% block title %} - {{object.title}}{% endblock %}

{% block custome-header %}
        <link href="red.css" type="text/css" rel="stylesheet" />
{% endblock %}

{% block main %}

    <!-- Page Header-->
    <header class="masthead" style="background-image: url('{{object.thumbnail.url}}')">
        <div class="container position-relative px-4 px-lg-5">
            <div class="row gx-4 gx-lg-5 justify-content-center">
                <div class="col-md-10 col-lg-8 col-xl-7">
                    <div class="site-heading">
                        <h1>{{object.title}}</h1>
                                {% if article.is_special %}
                                    <span style="color:#fff; background-color:red; padding: 5px; border-radius: 10px; font-size: small;">ویژه</span>
                                {% endif %}
                        <time>{{object.jpublish}}</time>
                    </div>
                </div>
            </div>
        </div>
    </header>
<!-- Post Content-->
    <article class="mb-4">
        <div class="container px-4 px-lg-5">
            <div class="row gx-4 gx-lg-5 justify-content-center">
                <div class="text-justify col-md-10 col-lg-8 col-xl-7">
                    {% if object.is_special %}
                        {% if user.is_authenticated and user.is_special_user or user == object.author or user.is_superuser %}
                            {{object.description|safe}}
                        {% else %}
                            {{article.description|striptags|truncatewords:30}}
                            <p class="alert alert-warning">این مقاله ویژه است، برای مشاهده آن <a href="#">اشتراک ویژه</a> خریداری نمایید.</p>
                        {% endif %}
                    {% else %}
                        {{object.description|safe}}
                    {% endif %}
                </div>
            </div>
        </div>
    </article>
{% endblock %}

